<?php
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

global $template;

// Publish the result on a global page.
// Mode global ==> simply display global result
// Mode full ==> display global result and user notations

$ap_id = explode('concours/' , $_SERVER['REQUEST_URI']);
$id_concours = $ap_id[1];

$concours = new Concours($id_concours);

$category = $concours->concours_infos['category'];

$query = 'SELECT DISTINCT(img.id), img.name, img.file, img.path, img.tn_ext, 
		  ic.category_id, cat.name AS catname, conc.note'
		.' FROM ' . IMAGES_TABLE.' AS img'
		.' INNER JOIN '.IMAGE_CATEGORY_TABLE.' AS ic ON img.id = ic.image_id'
		.' INNER JOIN '.CATEGORIES_TABLE.' AS cat ON ic.category_id = cat.id'
		.' INNER JOIN '.CONCOURS_RESULT_TABLE.' AS conc ON conc.img_id = img.id'
		.' WHERE ic.category_id = '.$concours->concours_infos['category']
		.' ORDER by note DESC;';
$result = pwg_query($query);
$rang = 1;
while ($row = mysql_fetch_assoc($result))
{
	// link on picture.php page
	set_make_full_url();
	if ( isset($row['category_id']) & isset($row['catname']) ) 
	{
		$url = duplicate_picture_url(
		array(
		'image_id' => $row['id'],
		'image_file' => $row['file'],
		'category' => array(
						'id' => $row['category_id'],
						'name' => $row['catname'],
						'permalink' => ''
					  )
		),
		array('start')
		);
	}
	else
	{
		$url = duplicate_picture_url(
		  array(
			'image_id' => $row['id'],
			'image_file' => $row['file']
		  ),
		  array('start')
		);
	}	
	unset_make_full_url();

	$template->append( 'concours_note', array(
			'img_id' => $row['id'],
			'name'	=> $row['name'],
			'file'	=> $row['file'],
			'rang'	=> $rang,
			'thumb'	=> get_thumbnail_url($row),
			'url'	=> $url,
			'note' 	=> ($row['note'] == 0 ? 'N/A' :$row['note'])
		));
	$rang ++;

}
// Envoi de la page
$template->assign(array(
  'TITLE' => "Concours : ".$concours->concours_infos['name']));

$template->assign('IMG_URL', CONCOURS_IMG_PATH);

$template->set_filenames(array('concours_result' =>  CONCOURS_ROOT.'/template/result.tpl'));
$template->concat('PLUGIN_INDEX_CONTENT_BEGIN', $template->parse('concours_result', true));
  
  
  $template->assign('PLUGIN_INDEX_ACTIONS' , '
    <li><a href="' . make_index_url() . '" title="' . l10n('return to homepage') . '">
      <img src="' . $template->get_themeconf('icon_dir') . '/home.png" class="button" alt="' . l10n('home') . '"/></a>
    </li>');

if (is_admin())
{
  $template->assign('U_EDIT', PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . CONCOURS_DIR . '%2Fadmin%2Fadd_concours.php&amp;concours=' . $id_concours.'&amp;action=edit');
}

$template->clear_assign(array('U_MODE_POSTED', 'U_MODE_CREATED'));

?>
